0

Our org is heavily dependent on Opportunity.

Our Opportunity trigger logic has dependencies on the SEPA Toolkit (listing Id a0N3000000B4bYzEAJ), so we need a way to install this package either before or while pushing the rest of our metadata to any new scratch org.

I'm struggling to find a way to do this and I'm not even sure how well it is supported.

I tried installing SEPA Toolkit manually to the scratch org (during which process there was a warning that this is not a supported type of org) and then pulling the changes from the scratch org, but the feedback is "No results found".

Looking at the installed package in my scratch org (imported package id 0A31x0000005DwY), I can see it has the Package Name and Version Name "SEPA Toolkit", the Namespace Prefix "SEPA_Toolkit", and the version number 1.6.

I've tried:

  • sfdx force:package:install --package "SEPA Toolkit@1.6" -u MyScratchOrg
  • sfdx force:package:install --package "SEPA_Toolkit@1.6" -u MyScratchOrg
  • sfdx force:package:install --package "SEPA Toolkit" -u MyScratchOrg
  • sfdx force:package:install --package "SEPA_Toolkit" -u MyScratchOrg
  • sfdx force:package:install --package a0N3000000B4bYzEAJ -u MyScratchOrg
  • sfdx force:package:install --package 0A31x0000005DwY-u MyScratchOrg
  • sfdx force:package:install --package "a0N3000000B4bYzEAJ" -u MyScratchOrg
  • sfdx force:package:install --package "0A31x0000005DwY"-u MyScratchOrg

I always get the error "ERROR running force:package:install: Invalid alias or ID: SEPA_Toolkit. Either your alias is invalid or undefined, or the ID provided is invalid."

Looking at force:package:install --help, it seems maybe I want an Id starting with 04t, but I can't find any such id. If I try visiting https://saas-power-2560-dev-ed.cs100.my.salesforce.com/04t, I get "Insufficient Privileges".

Any idea(s) how I install this automatically?

Also, how to get sufficient information to install other packages if/as/when necessary?

0

I found an email informing me of the successful install which contained the packageId and was able to install with:

sfdx force:package:install --package 04tG0000000LKgX -u MyScratchOrg

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.